/**
 * Type String: 
 * Class <code>TString</code> represents character strings. All 
 * string literals in NOOL programs, such as <code>"abc"</code>, are 
 * implemented as instances of this class.
 @since NOT YET RELEASED
*/
public class TString extends TObject
{
    /** The caracter string. */
    public String string;
    
    /**
     * Instanciates a new Type String.
     @since NOT YET RELEASED
    */
    public TString () {}
    
    /**
     * Instanciates a new Type String.
     @param array The string array used to form the string.
     @since NOT YET RELEASED
    */
    public TString (String[] array) {}
    
    /**
     * Returns a char array representation of the string.
     @return array: The char array formed by the string.
     @since NOT YET RELEASED
    */
    public String[] toCharArray () {return (new String[2]);}
    
    /**
     * Returns a copy of the string in lowercase.
     @return string: The string in lowercase.
     @since NOT YET RELEASED
    */
    public String toLowerCase () {}
    
    /**
     * Returns a copy of the string in uppercase.
     @return string: The string in uppercase.
     @since NOT YET RELEASED
    */
    public String toUpperCase () {}
    
    /**
     * Returns a copy of the string whit the white spaces
     * of both ends removed.
     @return string: The trimmed string.
     @since NOT YET RELEASED
    */
    public String trim() {}
    
    /**
     * Inserts another string into the string.
     @param string The string to insert.
     @param position The position where to insert the string.
     @since NOT YET RELEASED
    */
    public void insert(String string, int position) {}
}